Summary: GNU Tape Archiver (tar)
Name: tar
Version: 1.12
Release: 2
Copyright: GPL
Group: Utilities/Archiving
Source: prep.ai.mit.edu:/pub/gnu/tar-1.12.tar.gz
Patch0: tar-1.11.8-manpage.patch
Prereq: /sbin/install-info
Buildroot: /var/tmp/tar-root
Summary(de): GNU-Magnetband-Archivierprogramm (tar)
Summary(fr): Programme d'archivage GNU (tar : GNU Tape Archiver).
Summary(tr): Yaygn kullanlan yedekleyici
Packager: Frank Meurer <meurer@gmx.de>

%changelog
* Thu Oct  4 2001 Frank Meurer <meurer@gmx.de>

- Linux/mac68k

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>

- updated from 1.11.8 to 1.12
- various spec file cleanups
- /sbin/install-info support

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>

- built against glibc

* Thu May 29 1997 Michael Fulbright <msf@redhat.com>

- Fixed to include rmt

%description
GNU `tar' saves many files together into a single tape or disk
archive, and can restore individual files from the archive.  It
includes multivolume support, the ability to archive sparse files,
automatic archive compression/decompression, remote archives and
special features that allow `tar' to be used for incremental and full
backups.  If you wish to do remote backups with tar, you will need
to install the `rmt' package as well.

%description -l de
GNU 'tar' speichert viele Dateien zusammen in ein einzelnes Band- oder 
Disk-Archiv und kann einzelne Dateien aus dem Archiv wiederherstellen. 
Es beinhaltet Multivolume-Support, die Fhigkeit, seltene Dateien zu 
archivieren, automatische Archiv-Komprimierung und Dekomprimierung, Archive 
an entfernten Standorten und Spezialfunktionen, die es ermglichen, 'tar' 
fr inkrementelle und vollstndige Backups einzusetzen. Wenn Sie vorhaben, 
Remote-Backups mit tar zu erstellen, dann bentigen Sie dazu das rmt-Paket.

%description -l fr
GNU tar sauvegarde plusieurs fichiers sur une seule archive sur bande
ou sur disque et peut restaurer les fichiers individuellement  partir
de l'archive. Il comprend une gestion multi-volumes, la possibilit
d'archiver des fichiers parpills, la compression/dcompression
automatique de l'archive, les archives distantes et des caractristiques
spciales permettant  tar d'tre utilis pour des sauvegardes
incrmentales et compltes. Si vous souhaitez faire des sauvegardes
distantes avec tar, vous devrez installer aussi le paquetage  rmt . 

%description -l tr
GNU tar, birden ok dosyay tek bir manyetik bant ya da disk zerinde
arivleyebildii gibi, bu dosyalarn arivden tek tek geri yklenmesine de
izin verir. ok ksml arivleri, otomatik ariv sktrma ve amay, uzak
arivleri, artmsal yedeklemeyi destekler.

%prep
%setup
%patch0 -p1

%build
# add /usr/include/bsd to find sgtty.h during configuration
CPPFLAGS=-I/usr/include/bsd ./configure --disable-nls --prefix=/usr
make CFLAGS="$RPM_OPT_FLAGS -DHAVE_STRERROR -D_GNU_SOURCE" LDFLAGS=-s LIBS=-lbsd

%install
rm -f $RPM_BUILD_ROOT/usr/info/tar.info*
make prefix=$RPM_BUILD_ROOT/usr install
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
install -m644 tar.1 $RPM_BUILD_ROOT/usr/man/man1
gzip -9nf $RPM_BUILD_ROOT/usr/info/tar.info*
mkdir -p $RPM_BUILD_ROOT/bin -p $RPM_BUILD_ROOT/usr/sbin
rm -f $RPM_BUILD_ROOT/bin/tar
mv $RPM_BUILD_ROOT/usr/bin/tar $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT/usr/libexec/rmt $RPM_BUILD_ROOT/usr/sbin/rmt
strip $RPM_BUILD_ROOT/bin/tar

%post
/sbin/install-info /usr/info/tar.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/tar.info.gz /usr/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
/bin/tar
/usr/sbin/rmt
/usr/info/tar.info*
/usr/man/man1/tar.1
